Cyberduck Mountain Duck CLI

#3039 closed defect

Won't launch on 10.6 Snow Leopard — at Version 6

Reported by: aaron@printingsource.com Owned by: dkocher
Priority: highest Milestone: 3.3
Component: core Version: 3.1.1
Severity: critical Keywords: Snow leopard, 10.6, failure
Cc: Architecture:
Platform: Mac OS X 10.6

Description (last modified by dkocher)

The icon bounces a few times, and then nothing. All my favorites can't be exported or viewed, except by opening the info.plist file in library/application support/cyberduck. But I can't view my passwords. HELP I love cyberduck and would like to keep it as my FTP client!

[0x0-0x62062].ch.sudo.cyberduck[2945]   JavaVM: requested Java version
(1.5*) not available. Using Java at
"/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead.
18/03/2009 01:14:37
[0x0-0x62062].ch.sudo.cyberduck[2945]   [Deprecated] CocoaJava:
com.apple.cocoa.foundation.NSRuntime    18/03/2009 01:14:37
[0x0-0x62062].ch.sudo.cyberduck[2945]   -[NSJavaVirtualMachine
initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit
18/03/2009 01:14:37
com.apple.launchd[160]  ([0x0-0x62062].ch.sudo.cyberduck[2945]) Exited
with exit code: 255      18/03/2009 01:14:37
[0x0-0x64064].ch.sudo.cyberduck[2949]   JavaVM: requested Java version
(1.5*) not available. Using Java at
"/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead.
18/03/2009 01:14:40
[0x0-0x64064].ch.sudo.cyberduck[2949]   [Deprecated] CocoaJava:
com.apple.cocoa.foundation.NSRuntime    18/03/2009 01:14:40
[0x0-0x64064].ch.sudo.cyberduck[2949]   -[NSJavaVirtualMachine
initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit
18/03/2009 01:14:40
com.apple.launchd[160]  ([0x0-0x64064].ch.sudo.cyberduck[2949]) Exited
with exit code: 255      18/03/2009 01:14:40

Change History (6)

comment:1 follow-up: Changed on Mar 5, 2009 at 5:24:09 PM by dkocher

  • Milestone 3.1.3 deleted
  • Summary changed from Cyberduck won't launch with OSX 10.6 Snow Leopard to Won't launch on 10.6 Snow Leopard

I don't have access to the current developer seed.

comment:2 in reply to: ↑ 1 Changed on Mar 16, 2009 at 11:21:10 AM by dkocher

Replying to dkocher:

I don't have access to the current developer seed.

But it would certainly be helpful if you send me the crash log and any related output in console.log.

comment:3 follow-up: Changed on Mar 18, 2009 at 1:23:40 AM by b@hh.la

[0x0-0x62062].ch.sudo.cyberduck[2945] JavaVM: requested Java version (1.5*) not available. Using Java at "/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead. 18/03/2009 01:14:37 [0x0-0x62062].ch.sudo.cyberduck[2945] [Deprecated] CocoaJava: com.apple.cocoa.foundation.NSRuntime 18/03/2009 01:14:37 [0x0-0x62062].ch.sudo.cyberduck[2945] -[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit 18/03/2009 01:14:37 com.apple.launchd[160] ([0x0-0x62062].ch.sudo.cyberduck[2945]) Exited with exit code: 255 18/03/2009 01:14:37 [0x0-0x64064].ch.sudo.cyberduck[2949] JavaVM: requested Java version (1.5*) not available. Using Java at "/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home" instead. 18/03/2009 01:14:40 [0x0-0x64064].ch.sudo.cyberduck[2949] [Deprecated] CocoaJava: com.apple.cocoa.foundation.NSRuntime 18/03/2009 01:14:40 [0x0-0x64064].ch.sudo.cyberduck[2949] -[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit 18/03/2009 01:14:40 com.apple.launchd[160] ([0x0-0x64064].ch.sudo.cyberduck[2949]) Exited with exit code: 255 18/03/2009 01:14:40

comment:4 in reply to: ↑ 3 ; follow-up: Changed on Mar 18, 2009 at 11:15:07 AM by dkocher

Replying to b@…:

Thanks for the output. Is there no more a Java 1.5 VM installed? Can you please check the content of the folder /System/Library/Frameworks/JavaVM.framework/Versions/.

comment:5 in reply to: ↑ 4 Changed on Mar 22, 2009 at 1:22:43 PM by aardwolf

Replying to dkocher:

Replying to b@…:

Thanks for the output. Is there no more a Java 1.5 VM installed? Can you please check the content of the folder /System/Library/Frameworks/JavaVM.framework/Versions/.

The "folders" that are called 1.5 and 1.5.0 actually are symbolic links to the 1.6.0 folder, and there are no other java versions available (all of them are symbolic links to 1.6.0.)

comment:6 Changed on Mar 22, 2009 at 3:52:28 PM by dkocher

  • Description modified (diff)
Note: See TracTickets for help on using tickets.